#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mcopclass )

include_directories(
  ${CMAKE_SOURCE_DIR}/arts/modules
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${CMAKE_BINARY_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artsmodulesmixers (library) ###############

tde_add_library( artsmodulesmixers SHARED
  SOURCES
    artsmodulesmixers.cc
    monosimplemixerchannel_impl.cc monosimplemixerchannelguifactory_impl.cc
    simplemixerchannel_impl.cc simplemixerchannelguifactory_impl.cc
    littlestereomixerchannel_impl.cc
  VERSION 0.0.0
  LINK
    artsgui_idl-shared artsmodulescommon-shared artsmoduleseffects-shared
    mcop artsflow artsflow_idl ${ARTS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    artsmodulesmixers.cc artsmodulesmixers.h
    artsmodulesmixers.mcopclass artsmodulesmixers.mcoptype
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${CMAKE_SOURCE_DIR}/arts/gui/common
    -I${CMAKE_SOURCE_DIR}/arts/midi
    -I${CMAKE_SOURCE_DIR}/arts/modules
    -I${CMAKE_SOURCE_DIR}/arts/modules/common
    -I${CMAKE_SOURCE_DIR}/arts/modules/synth
    -I${ARTS_INCLUDEDIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/artsmodulesmixers.idl
  DEPENDS artsmodulesmixers.idl
)


##### other data ################################

install(
  FILES
    artsmodulesmixers.idl
    ${CMAKE_CURRENT_BINARY_DIR}/artsmodulesmixers.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/arts
)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/artsmodulesmixers.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/artsmodulesmixers.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)
